Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml4
Class QMAttribute

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.util.qjml4.QGBase
                  |
                  +--com.jxml.quick.util.qjml4.QMAttribute

All Implemented Interfaces:
  Item, QConverter, QGBaseIntf

public class QMAttribute
extends QGBase
implements QGBaseIntf

Field Summary
`QGBase` | `access`
`ArrayList` | `comments` list of QMRem
`boolean` | `generate` default = "false"
`String` | `name`
`String` | `status` values = "REQUIRED|FIXED"
`QGBase` | `target`
`String` | `type` values = "id|idref|int|short|long|byte|boolean|float|double|string|base64|url|char|BigDecimal"
`String` | `value`
`ArrayList` | `values` list of QMValue

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`QMAttribute()`
`QMAttribute(String name)` minimum constructor
`QMAttribute(String name, boolean generate, String type, String status, String value, QGBase access, ArrayList comments, QGBase target, ArrayList values)` full constructor

Method Summary
`void` | `cvt(String parentLabel)`
`void` | `cvtItem(String parentLabel)`
`QMRem` | `getQMRem(int i)`
`QMValue` | `getQMValue(int i)`
`void` | `print(PrintWriter pw, String indent)` print a summary of this object
`int` | `qMRemCount()`
`int` | `qMValueCount()`
`void` | `setDestination(DocumentHandler destination)` Set the destination for the generated SAX events.
`void` | `setQMRem(int i, QMRem qMRem)`
`void` | `setQMValue(int i, QMValue qMValue)`

Methods inherited from class com.jxml.quick.util.qjml4.QGBase
`cvt, print`

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, evalRoot, getPUBLIC, getRootTag, getSYSTEM, main, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.util.qjml4.QGBaseIntf
`print`

Field Detail

### name

    public String name

### generate

    public boolean generate

  default = "false"

### type

    public String type

  values = "id|idref|int|short|long|byte|boolean|float|double|string|base64|url|char|BigDecimal"

### status

    public String status

  values = "REQUIRED|FIXED"

### value

    public String value

### access

    public QGBase access

### comments

    public ArrayList comments

  list of QMRem

### target

    public QGBase target

### values

    public ArrayList values

  list of QMValue

Constructor Detail

### QMAttribute

    public QMAttribute()

### QMAttribute

    public QMAttribute(String name,
                       boolean generate,
                       String type,
                       String status,
                       String value,
                       QGBase access,
                       ArrayList comments,
                       QGBase target,
                       ArrayList values)

  full constructor

### QMAttribute

    public QMAttribute(String name)

  minimum constructor

Method Detail

### setDestination

    public void setDestination(DocumentHandler destination)

  Description copied from class: `QConverterSupport`
  Set the destination for the generated SAX events. Called by eval for the root node, but must be called by application logic for all other nodes before generating any events.
  Overrides:
    `setDestination` in class `QConverterSupport`
  Following copied from class: `com.jxml.quick.QConverterSupport`
  Parameters:
    `destination` - Destination for all generated SAX events.

### cvtItem

    public void cvtItem(String parentLabel)
                 throws SAXException

### cvt

    public void cvt(String parentLabel)
             throws SAXException

### getQMRem

    public QMRem getQMRem(int i)

### setQMRem

    public void setQMRem(int i,
                         QMRem qMRem)

### qMRemCount

    public int qMRemCount()

### getQMValue

    public QMValue getQMValue(int i)

### setQMValue

    public void setQMValue(int i,
                           QMValue qMValue)

### qMValueCount

    public int qMValueCount()

### print

    public void print(PrintWriter pw,
                      String indent)

  Description copied from interface: `QGBaseIntf`
  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`
  Overrides:
    `print` in class `QGBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD